Bug 910928 - (CVE-2013-0282) CVE-2013-0282 OpenStack Keystone: EC2-style authentication accepts disabled user/tenants
CVE-2013-0282 OpenStack Keystone: EC2-style authentication accepts disabled u...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130219,repor...
: Security
Depends On: 912512 912826 912827
Blocks: 910930 916494
  Show dependency treegraph
 
Reported: 2013-02-13 16:47 EST by Kurt Seifried
Modified: 2016-04-26 13:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 14:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
keystone-ensure-user-tenant-enabled-ec2.essex.201302121030-CVE-2013-0282.txt (3.23 KB, patch)
2013-02-14 13:36 EST, Kurt Seifried
no flags Details | Diff
keystone-ensure-user-tenant-enabled-ec2.folsom.201302121030-CVE-2013-0282.txt (3.29 KB, patch)
2013-02-14 13:37 EST, Kurt Seifried
no flags Details | Diff
keystone-validate-auth-info.grizzly.201302121030-CVE-2013-0282.txt (5.80 KB, patch)
2013-02-14 13:37 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-02-13 16:47:05 EST
Russell Bryant (rbryant@redhat.com) reports:

Title: Keystone EC2-style authentication accepts disabled user/tenants
Reporter: Nathanael Burton (National Security Agency)
Products: Keystone
Affects: All versions

Description:
Nathanael Burton reported a vulnerability in EC2-style authentication
in Keystone. Keystone fails to check whether a user, tenant, or domain
is enabled before authenticating a user using the EC2 api.
Authenticated, but disabled users (or authenticated users in disabled
tenants or domains) could therefore retain access rights that were
thought removed. Only setups enabling EC2-style authentication are
affected. To disable EC2-style authentication to work around the
issue, remove the EC2 extension
(keystone.contrib.ec2:Ec2Extension.factory) from the keystone API
pipeline in keystone.conf.

Proposed patches:
See attached patches. Unless a flaw is discovered in them, these
patches will be merged to Keystone master (Grizzly), stable/folsom,
and stable/essex branches on the public disclosure date.
Comment 1 Kurt Seifried 2013-02-14 13:36:47 EST
Created attachment 697333 [details]
keystone-ensure-user-tenant-enabled-ec2.essex.201302121030-CVE-2013-0282.txt
Comment 2 Kurt Seifried 2013-02-14 13:37:21 EST
Created attachment 697334 [details]
keystone-ensure-user-tenant-enabled-ec2.folsom.201302121030-CVE-2013-0282.txt
Comment 3 Kurt Seifried 2013-02-14 13:37:35 EST
Created attachment 697335 [details]
keystone-validate-auth-info.grizzly.201302121030-CVE-2013-0282.txt
Comment 4 Murray McAllister 2013-02-17 04:08:05 EST
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Nathanael Burton (National Security Agency) as the original reporter.
Comment 6 Vincent Danen 2013-02-19 14:06:10 EST
External References:

http://lists.openstack.org/pipermail/openstack-announce/2013-February/000079.html
Comment 7 Vincent Danen 2013-02-19 14:09:44 EST
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 912826]
Affects: epel-6 [bug 912827]
Comment 8 Fedora Update System 2013-03-04 17:38:58 EST
openstack-keystone-2012.2.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2013-03-05 16:01:51 EST
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0596 https://rhn.redhat.com/errata/RHSA-2013-0596.html
Comment 10 Fedora Update System 2013-03-28 14:38:50 EDT
openstack-keystone-2012.2.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.